## org.jfree.data
Interface WindDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  DefaultWindDataset

public interface WindDataset
extends XYDataset

Interface for a dataset that supplies wind intensity and direction values observed at various points in time.

Author:
  Achilleus Mantzios

Method Summary
`java.lang.Number` `getWindDirection(int series, int item)` Returns the wind direction (should be in the range 0 to 12).
`java.lang.Number` `getWindForce(int series, int item)` Returns the wind force on the Beaufort scale (0 to 12).

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getWindDirection

    public java.lang.Number getWindDirection(int series,
                                             int item)

  Returns the wind direction (should be in the range 0 to 12).

  Parameters:
    `series` - The series (zero-based index).
    `item` - The item (zero-based index).
  Returns:
    The wind direction.

### getWindForce

    public java.lang.Number getWindForce(int series,
                                         int item)

  Returns the wind force on the Beaufort scale (0 to 12).

  Parameters:
    `series` - The series (zero-based index).
    `item` - The item (zero-based index).
  Returns:
    The wind force.